---
title: "Merge documents"
url: "https://docs.signnow.com/docs/document/operations/document-merge"
type: "endpoint"
section: "document"
slug: "document/operations/document-merge"
method: "POST"
path: "/document/merge"
operation_id: "document-merge"
authorization: "bearer"
---

# Merge documents

`POST /document/merge`

Merges existing documents into one.

## Authorization

bearer

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "description": "the name of the merged document"
    },
    "document_ids": {
      "type": "array",
      "items": {
        "type": "string"
      },
      "description": "IDs of the documents to be merged"
    },
    "upload_document": {
      "type": "boolean",
      "default": false,
      "description": "If false returns the merged document without further uploading into documents list.\nIf true returns the merged document id with further uploading into documents list."
    }
  }
}
```

**Example** (`application/json`)

```json
{
  "name": "the merged doc",
  "document_ids": [
    "84XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
    "a7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
  ],
  "upload_document": false
}
```

## Responses

### 200

OK

**Example** (`example-1`)

```json
{
  "document_id": "9cXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/document/merge" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name": "the merged doc", "document_ids": ["84XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX", "a7XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"], "upload_document": false}'
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/document-merge*
